#!/usr/bin/env python
#
# This file is part of vospace-transfer-service
# Copyright (C) 2021 Istituto Nazionale di Astrofisica
# SPDX-License-Identifier: GPL-3.0-or-later
#

import uuid


class Job(object):

    def __init__(self):
        self.jobId = str(uuid.uuid1().hex)
        self.type = None
        self.runId = None
        self.ownerId = None
        self.phase = None
        self.quote = None
        self.startTime = None
        self.endTime = None
        self.executionDuration = None
        self.destruction = None
        self.parameters = None
        self.nodeList = None
        self.results = None
        self.errorMessage = None
        self.errorType = None
        self.jobInfo = None
    
    """
    Setters
    """
    
    def setId(self, jobId):
        self.jobId = jobId
        
    def setType(self, type):
        self.type = type
        
    def setOwnerId(self, ownerId):
        self.ownerId = ownerId

    def setPhase(self, phase):
        self.phase = phase
        
    def setQuote(self, quote):
        self.quote = quote
        
    def setStartTime(self, startTime):
        self.startTime = startTime
        
    def setEndTime(self, endTime):
        self.endTime = endTime
        
    def setExecutionDuration(self, executionDuration):
        self.executionDuration = executionDuration
        
    def setNodeList(self, nodeList):
        self.nodeList = nodeList
        
    def setResults(self, results):
        self.results = results
        
    def setErrorMessage(self, errMsg):
        self.errorMessage = errMsg
        
    def setErrorType(self, errType):
        self.errorType = errType

    def setInfo(self, jobInfo):
        self.jobInfo = jobInfo
